From 7e2a76f0f3f473900679ed1971059ba26f124b28 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:08 +0000
Subject: [PATCH 19/51] add check_is_dict() and use it


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 6928351..f373450 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -217,6 +217,10 @@ class ModuleMDLinter(object):
         """Check that a value is of a scalar type."""
         self.check_true(isinstance(value, self.yaml_scalar_types))
 
+    def check_is_dict(self, value):
+        """Check that a value is a dictionary."""
+        self.check_true(isinstance(value, dict))
+
     # lint checks below
 
     @error
@@ -267,7 +271,7 @@ class ModuleMDLinter(object):
     @prerequisite('license_block_exists')
     def lint_license_block_keys(self):
         """Every module MUST contain a license block."""
-        self.check(isinstance(self.yaml_data['license'], dict))
+        self.check_is_dict(self.yaml_data['license'])
 
     @error
     @guidelines_link('#Module_licensing')
@@ -321,7 +325,7 @@ class ModuleMDLinter(object):
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
         if 'dependencies' in self.mmd:
-            self.check(isinstance(self.yaml_data['dependencies'], dict))
+            self.check_is_dict(self.yaml_data['dependencies'])
 
     @error
     @guidelines_link('#Module_dependencies')
@@ -332,8 +336,7 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        self.check(isinstance(self.yaml_data['dependencies']['buildrequires'],
-                              dict))
+        self.check_is_dict(self.yaml_data['dependencies']['buildrequires'])
 
     @error
     @guidelines_link('#Module_dependencies')
@@ -356,8 +359,7 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        self.check(isinstance(self.yaml_data['dependencies']['requires'],
-                              dict))
+        self.check_is_dict(self.yaml_data['dependencies']['requires'])
 
     @error
     @guidelines_link('#Module_dependencies')

